VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Datacenter::FilterSpec Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Datacenter::FilterSpec:

## Avaliable Methods
public method | get_folders ()
public method | set_names ()
public method | get_names ()
public method | new ()
public method | set_datacenters ()
public method | set_folders ()
public method | get_datacenters ()

## Detailed Description

The `Com::Vmware::Vcenter::Datacenter::FilterSpec` class contains fields used to filter the results when listing datacenters (see :func:`Com::Vmware::Vcenter::Datacenter.list` ). If multiple fields are specified, only datacenters matching all of the fields match the filter.

## Member Function Documentation

public method Com::Vmware::Vcenter::Datacenter::FilterSpec::get_datacenters | ( |  | ) |

Gets the value of 'datacenters' property.

Return values

  datacenters | - The current value of the field. Identifiers of datacenters that can match the filter. Optional#

Code:
click to view
# Number of lines of code in get_datacenters: 4
sub get_datacenters {
my ($self, %args) = @_;
return $self->{'datacenters'};
}

public method Com::Vmware::Vcenter::Datacenter::FilterSpec::get_folders | ( |  | ) |

Gets the value of 'folders' property.

Return values

  folders | - The current value of the field. Folders that must contain the datacenters for the datacenter to match the filter. Optional#

Code:
click to view
# Number of lines of code in get_folders: 4
sub get_folders {
my ($self, %args) = @_;
return $self->{'folders'};
}

public method Com::Vmware::Vcenter::Datacenter::FilterSpec::get_names | ( |  | ) |

Gets the value of 'names' property.

Return values

  names | - The current value of the field. Names that datacenters must have to match the filter (see :attr:`Com::Vmware::Vcenter::Datacenter::Info.name` ). Optional#

Code:
click to view
# Number of lines of code in get_names: 4
sub get_names {
my ($self, %args) = @_;
return $self->{'names'};
}

public method Com::Vmware::Vcenter::Datacenter::FilterSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Datacenter::FilterSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{datacenters} = $args{'datacenters'};
$self->{names} = $args{'names'};
$self->{folders} = $args{'folders'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Datacenter::FilterSpec');
$self->set_binding_name('name' => 'com.vmware.vcenter.datacenter.filter_spec');
$self->set_binding_field('key' => 'datacenters', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::SetType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()))));
$self->set_binding_field('key' => 'names', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::SetType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()))));
$self->set_binding_field('key' => 'folders', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::SetType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()))));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Datacenter::FilterSpec::set_datacenters | ( |  | ) |

Sets the given value for 'datacenters' property.

Parameters

  datacenters | - New value for the field. Identifiers of datacenters that can match the filter.

Code:
click to view
# Number of lines of code in set_datacenters: 5
sub set_datacenters {
my ($self, %args) = @_;
$self->{'datacenters'} = $args{'datacenters'};
return;
}

public method Com::Vmware::Vcenter::Datacenter::FilterSpec::set_folders | ( |  | ) |

Sets the given value for 'folders' property.

Parameters

  folders | - New value for the field. Folders that must contain the datacenters for the datacenter to match the filter.

Code:
click to view
# Number of lines of code in set_folders: 5
sub set_folders {
my ($self, %args) = @_;
$self->{'folders'} = $args{'folders'};
return;
}

public method Com::Vmware::Vcenter::Datacenter::FilterSpec::set_names | ( |  | ) |

Sets the given value for 'names' property.

Parameters

  names | - New value for the field. Names that datacenters must have to match the filter (see :attr:`Com::Vmware::Vcenter::Datacenter::Info.name` ).

Code:
click to view
# Number of lines of code in set_names: 5
sub set_names {
my ($self, %args) = @_;
$self->{'names'} = $args{'names'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Datacenter.pm